<?php

/**
 * @file
 * Definition of \Drupal\payment_authnet\Entity\AuthnetProfileInterface.
 */

namespace Drupal\payment_authnet\Entity;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Defines Authnet profiles.
 */
interface AuthnetProfileInterface extends ConfigEntityInterface {

  /**
   * Gets the Authnet MerchantAuthentication.
   *
   * @return \net\authorize\api\contract\v1\MerchantAuthenticationType
   *   The Authorize.net Merchant Authentication object.
   */
  public function getMerchantAuthentication();

  /**
   * Gets the Authnet API Environment (sandbox/prod);
   *
   * @return string
   *   The URL to Authorize.net REST API endpoint.
   */
  public function getApiEnvironment();

  /**
   * Gets the Authnet API key.
   *
   * @return string
   *   The Authorize.net API Key or 'ref', if API key is empty.
   */
  public function getApiKey();

}
